- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes

# FbxSet2< VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxValue Class Reference

Search for all occurrences

## Detailed Description

### template<typename VALUE_TYPE, typename KEY_COMPARE_FUNCTOR = FbxLessCompare<VALUE_TYPE>, typename ALLOCATOR = FbxBaseAllocator>
class FbxSet2< VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxValue

Definition at line 1621 of file fbxmap.h.

`#include <fbxmap.h>`

List of all members.

## Public Types
typedef const VALUE_TYPE | KeyType
typedef const VALUE_TYPE | ConstKeyType
typedef const VALUE_TYPE | ValueType
typedef const VALUE_TYPE | ConstValueType
## Public Member Functions
| FbxValue (const VALUE_TYPE &pValue)
KeyType & | GetKey () const
ConstKeyType & | GetKey ()
ValueType & | GetValue () const
ConstValueType & | GetValue ()
## Protected Attributes
ValueType | mValue

## Member Typedef Documentation

typedef const VALUE_TYPE KeyType

Search for all occurrences

Definition at line 1628 of file fbxmap.h.

typedef const VALUE_TYPE ConstKeyType

Search for all occurrences

Definition at line 1629 of file fbxmap.h.

typedef const VALUE_TYPE ValueType

Search for all occurrences

Definition at line 1630 of file fbxmap.h.

typedef const VALUE_TYPE ConstValueType

Search for all occurrences

Definition at line 1631 of file fbxmap.h.

## Constructor & Destructor Documentation

FbxValue | ( | const VALUE_TYPE & | pValue | ) | `[inline]`

Definition at line 1624 of file fbxmap.h.

                : mValue(pValue) {}

## Member Function Documentation

KeyType& GetKey | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 1633 of file fbxmap.h.

    { return mValue; }

ConstKeyType& GetKey | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 1634 of file fbxmap.h.

    { return mValue; }

ValueType& GetValue | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 1636 of file fbxmap.h.

    { return mValue; }

ConstValueType& GetValue | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 1637 of file fbxmap.h.

    { return mValue; }

## Member Data Documentation

ValueType mValue `[protected]`

Search for all occurrences

Definition at line 1640 of file fbxmap.h.

The documentation for this class was generated from the following file:

- fbxsdk/core/base/fbxmap.h

FbxSet2< VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxValue FbxSet2< VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxValue FbxSet2< VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxValue FbxSet2< VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxValue FbxSet2< VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxValue FbxSet2< VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxValue FbxSet2< VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxValue FbxSet2< VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxValue FbxSet2< VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxValue FbxSet2< VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxValue
FbxSet2< VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxValue FbxSet2< VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxValue FbxSet2< VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxValue FbxSet2< VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxValue FbxSet2< VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxValue FbxSet2< VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxValue FbxSet2< VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxValue FbxSet2< VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxValue FbxSet2< VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxValue FbxSet2< VALUE_TYPE, KEY_COMPARE_FUNCTOR, ALLOCATOR >::FbxValue